## pppstatus-0.4.2.tar.bz2

=== Makefile ===
# Makefile for PPPStatus v0.4.8
# Gabriel Montenegro
#
# modified for Debian by John Hasler

LDFLAGS = -lncurses
CFLAGS = -O2 -Wall

BIN = pppstatus
SRC = pppstatus.o

# Disabled install for Debian
#INSTDIR = /usr/bin
#INSTALL=/usr/bin/install
#INSTALL_PARMS=-o 0 -g 0 -s -m 0755

all : pppstatus printdone

pppstatus : pppstatus.o
	gcc $(CFLAGS) $(LDFLAGS) -o ${BIN} ${SRC}

pppstatus.o : pppstatus.h

printdone:
	@if [ -e "./${BIN}" ] || [ -e "./${BIN2}" ]; then echo "Compiled.."; else echo "Error compiling!"; fi

clean:
	rm -f ${BIN} ${BIN2} *.o core *~ 

# Disabled install for Debian
#install:
#	$(INSTALL) $(INSTALL_PARMS) pppstatus $(DESTDIR)/usr/bin
