=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/pppstatus.sgml > pppstatus.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pppstatus.
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	install -d -o root -g root -m 755 debian/tmp/usr/bin
	install -d -o root -g root -m 755 debian/tmp/usr/sbin
	install -p -o 0 -g 0 -s -m 755 pppstatus debian/tmp/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples costs
	dh_installmenu --noscripts
	dh_installinit --noscripts
	dh_installmanpages
	dh_installcron
	cp pppstatus.cfg debian/tmp/etc/pppstatus/
	cp costs debian/tmp/etc/pppstatus/
	cp debian/no_pppstatus_on_boot debian/tmp/etc/pppstatus/
	cp debian/up debian/tmp/etc/ppp/ip-up.d/0pppstatus
	cp debian/down debian/tmp/etc/ppp/ip-down.d/0pppstatus
	cp debian/pppstatus-clean debian/tmp/etc/init.d/
	chmod 755 debian/tmp/etc/ppp/ip-down.d/0pppstatus
	chmod 755 debian/tmp/etc/ppp/ip-up.d/0pppstatus
	chmod 755 debian/tmp/etc/init.d/pppstatus-clean
	dh_installchangelogs CHANGELOG
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
